Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79539 - diskcheck -1.2.1 broken after python upgrade
Summary: diskcheck -1.2.1 broken after python upgrade
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: diskcheck
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-12 21:20 UTC by David Dombek
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-10 16:54:04 UTC


Attachments (Terms of Use)

Description David Dombek 2002-12-12 21:20:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
The diskcheck-1.2.1 program does not send out notifications if it is run on a 
fully patched 7.3 system.

I don't know when it broke.

-David Dombek
dombek@epix.net

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.install diskcheck-1.2.1 on a RH 7.3 system that has all patches
2.modify /etc/diskcheck.conf to 1% so it will page
3.run diskcheck in /etc/crond.hourly
	

Actual Results:  no output.  no email.

Expected Results:  send email to root@localhost

Additional info:

Comment 1 Harald Hoyer 2002-12-13 12:21:31 UTC
fixed in 1.4-1, should be no problem to run it on 7.3

Comment 2 David Dombek 2002-12-13 13:35:29 UTC
Ok.

Will RedHat make 1.4-1 available on up2date any time soon?  



Comment 3 David Dombek 2002-12-20 19:52:51 UTC
Harald:

When will the new diskcheck be added to up2date?

Comment 4 Tim Niemueller 2003-01-15 23:32:51 UTC
This seems to be a problem with type casts. Add the line 
defaultCutoff = long(conf['defaultCutoff'])
after the line
nPct = long(pct[:-1])
That is around line 284 (on diskcheck 1.3-2). Replace all upcoming occurrences
of "conf['defaultCutoff']" with "defaultCutoff".
That's it. If there is an updated package, why isn't that in the updates dir?

Comment 5 Dennis DeDonatis 2003-01-23 15:50:47 UTC
This is still broken in RedHat 8.0 - diskcheck v1.3.2

Three spots have to be updated to make it work with volume or mount point and 
the default cutoff:

    if cutoff.has_key(volume):
        if (nPct < long(cutoff[volume])): continue
    elif cutoff.has_key(mountpt):
        if (nPct < long(cutoff[mountpt])): continue
    elif (nPct < long(conf['defaultCutoff'])): continue



Comment 6 Harald Hoyer 2003-01-23 16:12:25 UTC
fixed in 1.4-1, should be no problem to run it on 7.3/8.0

Comment 7 David Dombek 2003-01-26 18:21:58 UTC
So when will it be available via up2date for RH 7.3?

Comment 8 David Dombek 2003-03-10 16:51:58 UTC
If it can be run on Red Hat7.3 why isn't in on up2date for 7.3?

Comment 9 Harald Hoyer 2003-03-10 16:54:04 UTC
cause RHN-QA queue is full of security issues..


Note You need to log in before you can comment on or make changes to this bug.